Bug 11261 - smbclient clips first letter of remote filenames
smbclient clips first letter of remote filenames
Status: RESOLVED FIXED
Product: Samba 3.6
Classification: Unclassified
Component: Client Tools
3.6.23
x86 Linux
: P5 normal
: ---
Assigned To: Volker Lendecke
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-05-07 04:48 UTC by Bob
Modified: 2015-05-15 10:53 UTC (History)
0 users

See Also:


Attachments
Wireshark trace of smbclient dir command (2.43 KB, application/octet-stream)
2015-05-07 04:48 UTC, Bob
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Bob 2015-05-07 04:48:05 UTC
Created attachment 11030 [details]
Wireshark trace of smbclient dir command

Running on CentOS 6.6. SMB 3.23 is the latest update.
Run smbclient //TOWER/gdrive password -I 192.168.0.1 -U=USERID%PASSWORD

to connect to an OS/2 Peer (mini-server) then run 

dir Product/CrossPlatform/virtual/*

to list remote files. The list returned is

                                      D        0  Thu Jan 17 10:36:26 2013
  ..                                  D        0  Thu Jan 17 10:50:00 2013
  ms958162.html                       A    53142  Tue Jun  9 04:08:18 2009
  s958162_files                       D        0  Thu Jan 17 10:25:18 2013
  shyperv                             D        0  Thu Jan 17 10:35:26 2013
  irtualbox                           D        0  Thu Jan 17 10:35:46 2013
  irtualpc                            D        0  Thu Jan 17 10:36:26 2013
  vmware                              D        0  Sat Apr 11 23:26:26 2015

The first and last names are correct, the rest are missing the first letter.

Run the same commands on Suse 11.1 using smbclient version 3.2.45 and the returned list is correct.
The attached Wireshark trace shows that the server is returning the correct data so presumably smbclient is clipping some names.
Comment 1 Jeremy Allison 2015-05-07 16:58:09 UTC
3.2.45 is very old and out of maintenance. Can you reproduce with 4.x or above, and re-open the bug if so.
Comment 2 Bob 2015-05-07 21:59:30 UTC
Please read my description carefully. The bug is for version 3.6.23, not 3.2.45. The old version mentioned works ok. I will review the possiblities of testing with v4 but I am constrained by the CentOS configuration.
Comment 3 Bob 2015-05-08 20:58:29 UTC
(In reply to Jeremy Allison from comment #1)
I have removed samba3 and installed samba4. smbclient is version 4.0.0rc4. This works correctly from the command line.
Unfortunately gvfs no longer works (and doesn't easily install). gvfs is the link to the Gnome file manager so this is not a working configuration for a Desktop system.
What to do?
Comment 4 Björn Jacke 2015-05-15 10:53:02 UTC
gvfs is not a samba component. libsmbcient is though. that goes beyond this bug report though. You should contact your distributor if he is able to provide more up-to-date versions or you should update the distribution. This samba bug is fixed in any case.